Interfaz de usuario - Task #163

Task # 49 (Fixed): 5.1 Nuevo skin de gvSIG que ofrezca opciones de menus y barras de botones simplificados.
Crear proyecto para nuevo Skin

01/10/2012 11:08 AM - Jose Manuel Vivé Arnal

Status: Fixed Start date: 01/30/2012
Priority: Normal Due date: 02/01/2012
Assignee: Jose Manuel Vivo Arnal % Done: 100%
Category: Estimated time: 0.00 hour
Target version: v1.0.0-Betat Spent time: 0.00 hour
Description

Crear un proyecto con el nuevo Skin.

Ver la posibilidad que el MDI extienda del estandar y que modifique los menus y la barra de herramientas en la forma descrita en la
tarea padre.
Elementos a modificar:

- Las-ventanas-se-abran-maximizadas (Hecho)

- Ver posibilidad de quitar la decoracién de los JinternalFrames

- Ver la posibilidad de que las lista de ventanas aparezca arriba en vez de abajo (L&F o Frame)

- MetermentenltatoolBar (No posible)

- Afadirabout

Related issues:
Related to Interfaz de usuario - Task # 263: Completar y rellenar los datos d... Fixed

History

#1-01/10/2012 11:09 AM - Jose Manuel Vivo Arnal

- Description updated

#2 - 01/12/2012 11:52 AM - Jose Manuel Vivo Arnal
- Due date set to 01/25/2012
- Start date set to 01/18/2012

#3 - 01/30/2012 10:43 AM - Jose Manuel Vivé Arnal
- Description updated

#4 - 01/30/2012 10:45 AM - Jose Manuel Vivé Arnal

- Status changed from New to In progress

#5 - 01/30/2012 10:45 AM - Jose Manuel Vivé Arnal
- Due date changed from 01/25/2012 to 02/01/2012

- Start date changed from 01/18/2012 to 01/30/2012
#6 - 01/30/2012 11:18 AM - Jose Manuel Vivé Arnal
Jose Manuel Vivé Arnal wrote:

- Ver posibilidad de quitar la decoracion de los JinternalFrames

Directamente no es posible: http://docs.oracle.com/javase/6/docs/api/javax/swing/JInternalFrame.html

Voy a ver mediante el L&F
http://docs.oracle.com/javase/6/docs/api/javax/swing/JInternalFrame.html

#7 - 01/30/2012 12:41 PM - Cesar Ordiiana

En vez de las propias ventanas, se debe hacer desde el root pane:

http://docs.oracle.com/javase/6/docs/api/javax/swing/JRootPane.html#setWindowDecorationStyle%28int%29

#8 - 01/31/2012 08:26 AM - Jose Manuel Vivé Arnal
- Target version set to v1.0.0-Betat

#9 - 01/31/2012 10:59 AM - Jose Manuel Vivo Arnal

- Description updated
- % Done changed from 0 to 50

Subidos cambios r :

- Las ventanas se abren maximizadas. Los didlogos, al no disponer de opcién de maximizar, se abren al 90% del tamafio de la pantalla.

Otra cosa probada:

No ha sido posible mover el menu. El problema es que el menu los crea y maneja (de forma privada) la ventana principal de andami y no el Skin. Es

posible ocultarlo, pero no se puede mover los elementos del menu del andami a un Popup ya que es la ventana quien gestiona su visibilidad,

disponibilidad, aceleradores, etc... y al moverlos, se borran de la ventana (ya no hay mas gestion de visibilidad, etc..). También se ha tratado de

copiarlos, pero no se han conseguido resultados aceptables.

#10 - 01/31/2012 11:01 AM - Jose Manuel Vivé Arnal

Jose Manuel Vivo Arnal wrote:

Subidos cambios r :

r118

0JO: este cambio depende de la solucién de #210

#11 - 01/31/2012 06:32 PM - Jose Manuel Vivé Arnal

- Assignee set to Jose Manuel Vivé Arnal

#12 - 02/07/2012 12:35 PM - Jose Manuel Vivo Arnal
- Description updated

#13 - 02/07/2012 01:10 PM - Jose Manuel Vivé Arnal
- Description updated

Anadido about de Disid r147

Creada tare #263 para completar los datos que faltan.
http://docs.oracle.com/javase/6/docs/api/javax/swing/JRootPane.html#setWindowDecorationStyle%28int%29

#14 - 02/10/2012 11:32 AM - Jose Manuel Vivo Arnal
- Status changed from In progress to Fixed
- % Done changed from 50 to 100

Jose Manuel Vivo Arnal wrote:
- Ver posibilidad de quitar la decoracién de los JiInternalFrames

- Ver la posibilidad de que las lista de ventanas aparezca arriba en vez de abajo (L&F o Frame)

No he encontrado la forma de hacer esta configuracién.
